node-opcua-nodeset-ua 2.153.0 → 2.154.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (127) hide show
  1. package/dist/dt_action_method.d.ts +17 -0
  2. package/dist/dt_action_method.js +4 -0
  3. package/dist/dt_action_method.js.map +1 -0
  4. package/dist/dt_action_target.d.ts +19 -0
  5. package/dist/dt_action_target.js +4 -0
  6. package/dist/dt_action_target.js.map +1 -0
  7. package/dist/dt_dtls_pub_sub_connection.d.ts +21 -0
  8. package/dist/dt_dtls_pub_sub_connection.js +4 -0
  9. package/dist/dt_dtls_pub_sub_connection.js.map +1 -0
  10. package/dist/dt_lldp_management_address.d.ts +20 -0
  11. package/dist/dt_lldp_management_address.js +4 -0
  12. package/dist/dt_lldp_management_address.js.map +1 -0
  13. package/dist/dt_lldp_management_address_tx_port.d.ts +22 -0
  14. package/dist/dt_lldp_management_address_tx_port.js +4 -0
  15. package/dist/dt_lldp_management_address_tx_port.js.map +1 -0
  16. package/dist/dt_lldp_tlv.d.ts +17 -0
  17. package/dist/dt_lldp_tlv.js +4 -0
  18. package/dist/dt_lldp_tlv.js.map +1 -0
  19. package/dist/dt_published_action.d.ts +18 -0
  20. package/dist/dt_published_action.js +4 -0
  21. package/dist/dt_published_action.js.map +1 -0
  22. package/dist/dt_published_action_method.d.ts +20 -0
  23. package/dist/dt_published_action_method.js +4 -0
  24. package/dist/dt_published_action_method.js.map +1 -0
  25. package/dist/dt_subscription_diagnostics.d.ts +1 -1
  26. package/dist/enum_action_state.d.ts +13 -0
  27. package/dist/enum_action_state.js +19 -0
  28. package/dist/enum_action_state.js.map +1 -0
  29. package/dist/enum_chassis_id_subtype.d.ts +60 -0
  30. package/dist/enum_chassis_id_subtype.js +66 -0
  31. package/dist/enum_chassis_id_subtype.js.map +1 -0
  32. package/dist/enum_identity_criteria.d.ts +7 -1
  33. package/dist/enum_identity_criteria.js +6 -0
  34. package/dist/enum_identity_criteria.js.map +1 -1
  35. package/dist/enum_man_addr_if_subtype.d.ts +26 -0
  36. package/dist/enum_man_addr_if_subtype.js +32 -0
  37. package/dist/enum_man_addr_if_subtype.js.map +1 -0
  38. package/dist/enum_port_id_subtype.d.ts +54 -0
  39. package/dist/enum_port_id_subtype.js +60 -0
  40. package/dist/enum_port_id_subtype.js.map +1 -0
  41. package/dist/index.d.ts +18 -0
  42. package/dist/index.js +18 -0
  43. package/dist/index.js.map +1 -1
  44. package/dist/ua_application_configuration.d.ts +1 -1
  45. package/dist/ua_application_configuration_folder.d.ts +12 -0
  46. package/dist/ua_application_configuration_folder.js +3 -0
  47. package/dist/ua_application_configuration_folder.js.map +1 -0
  48. package/dist/ua_audit_activate_session_event.d.ts +2 -0
  49. package/dist/ua_audit_client_update_method_result_event.d.ts +4 -4
  50. package/dist/ua_audit_history_annotation_update_event.d.ts +1 -1
  51. package/dist/ua_audit_history_at_time_delete_event.d.ts +1 -1
  52. package/dist/ua_audit_history_bulk_insert_event.d.ts +1 -1
  53. package/dist/ua_audit_history_configuration_change_event.d.ts +1 -1
  54. package/dist/ua_audit_history_delete_event.d.ts +1 -1
  55. package/dist/ua_audit_history_event_delete_event.d.ts +1 -1
  56. package/dist/ua_audit_history_event_update_event.d.ts +1 -1
  57. package/dist/ua_audit_history_raw_modify_delete_event.d.ts +1 -1
  58. package/dist/ua_audit_history_value_update_event.d.ts +1 -1
  59. package/dist/ua_audit_update_method_event.d.ts +3 -0
  60. package/dist/ua_certificate_updated_audit_event.d.ts +3 -3
  61. package/dist/ua_condition.d.ts +2 -2
  62. package/dist/ua_historical_event_configuration.d.ts +2 -0
  63. package/dist/ua_key_credential_configuration.d.ts +1 -0
  64. package/dist/ua_lldp_information.d.ts +19 -0
  65. package/dist/ua_lldp_information.js +3 -0
  66. package/dist/ua_lldp_information.js.map +1 -0
  67. package/dist/ua_lldp_local_system.d.ts +22 -0
  68. package/dist/ua_lldp_local_system.js +3 -0
  69. package/dist/ua_lldp_local_system.js.map +1 -0
  70. package/dist/ua_lldp_port_information.d.ts +25 -0
  71. package/dist/ua_lldp_port_information.js +3 -0
  72. package/dist/ua_lldp_port_information.js.map +1 -0
  73. package/dist/ua_lldp_remote_statistics.d.ts +21 -0
  74. package/dist/ua_lldp_remote_statistics.js +3 -0
  75. package/dist/ua_lldp_remote_statistics.js.map +1 -0
  76. package/dist/ua_lldp_remote_system.d.ts +35 -0
  77. package/dist/ua_lldp_remote_system.js +3 -0
  78. package/dist/ua_lldp_remote_system.js.map +1 -0
  79. package/dist/ua_quantity.d.ts +0 -1
  80. package/dist/ua_server_configuration.d.ts +5 -1
  81. package/dist/ua_session_diagnostics_object.d.ts +4 -1
  82. package/dist/ua_trust_list_updated_audit_event.d.ts +3 -3
  83. package/dist/ua_unit.d.ts +0 -1
  84. package/package.json +9 -9
  85. package/source/dt_action_method.ts +17 -0
  86. package/source/dt_action_target.ts +19 -0
  87. package/source/dt_dtls_pub_sub_connection.ts +21 -0
  88. package/source/dt_lldp_management_address.ts +20 -0
  89. package/source/dt_lldp_management_address_tx_port.ts +22 -0
  90. package/source/dt_lldp_tlv.ts +17 -0
  91. package/source/dt_published_action.ts +18 -0
  92. package/source/dt_published_action_method.ts +20 -0
  93. package/source/dt_subscription_diagnostics.ts +1 -1
  94. package/source/enum_action_state.ts +15 -0
  95. package/source/enum_chassis_id_subtype.ts +62 -0
  96. package/source/enum_identity_criteria.ts +6 -0
  97. package/source/enum_man_addr_if_subtype.ts +28 -0
  98. package/source/enum_port_id_subtype.ts +56 -0
  99. package/source/index.ts +18 -0
  100. package/source/ua_application_configuration.ts +1 -1
  101. package/source/ua_application_configuration_folder.ts +13 -0
  102. package/source/ua_audit_activate_session_event.ts +2 -0
  103. package/source/ua_audit_client_update_method_result_event.ts +4 -4
  104. package/source/ua_audit_history_annotation_update_event.ts +1 -1
  105. package/source/ua_audit_history_at_time_delete_event.ts +1 -1
  106. package/source/ua_audit_history_bulk_insert_event.ts +1 -1
  107. package/source/ua_audit_history_configuration_change_event.ts +1 -1
  108. package/source/ua_audit_history_delete_event.ts +1 -1
  109. package/source/ua_audit_history_event_delete_event.ts +1 -1
  110. package/source/ua_audit_history_event_update_event.ts +1 -1
  111. package/source/ua_audit_history_raw_modify_delete_event.ts +1 -1
  112. package/source/ua_audit_history_value_update_event.ts +1 -1
  113. package/source/ua_audit_update_method_event.ts +3 -0
  114. package/source/ua_certificate_updated_audit_event.ts +3 -3
  115. package/source/ua_condition.ts +2 -2
  116. package/source/ua_historical_event_configuration.ts +2 -0
  117. package/source/ua_key_credential_configuration.ts +1 -0
  118. package/source/ua_lldp_information.ts +20 -0
  119. package/source/ua_lldp_local_system.ts +23 -0
  120. package/source/ua_lldp_port_information.ts +26 -0
  121. package/source/ua_lldp_remote_statistics.ts +22 -0
  122. package/source/ua_lldp_remote_system.ts +36 -0
  123. package/source/ua_quantity.ts +0 -1
  124. package/source/ua_server_configuration.ts +5 -1
  125. package/source/ua_session_diagnostics_object.ts +4 -1
  126. package/source/ua_trust_list_updated_audit_event.ts +3 -3
  127. package/source/ua_unit.ts +0 -1
@@ -0,0 +1,17 @@
1
+ import { NodeId } from "node-opcua-nodeid";
2
+ import { ExtensionObject } from "node-opcua-extension-object";
3
+ import { DTStructure } from "./dt_structure";
4
+ /**
5
+ * | | |
6
+ * |-----------|------------------------------------------------------------|
7
+ * | namespace |http://opcfoundation.org/UA/ |
8
+ * | nodeClass |DataType |
9
+ * | name |ActionMethodDataType |
10
+ * | isAbstract|false |
11
+ */
12
+ export interface DTActionMethod extends DTStructure {
13
+ objectId: NodeId;
14
+ methodId: NodeId;
15
+ }
16
+ export interface UDTActionMethod extends ExtensionObject, DTActionMethod {
17
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_action_method.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_action_method.js","sourceRoot":"","sources":["../source/dt_action_method.ts"],"names":[],"mappings":";;AAgB2E,CAAC"}
@@ -0,0 +1,19 @@
1
+ import { LocalizedText } from "node-opcua-data-model";
2
+ import { UInt16, UAString } from "node-opcua-basic-types";
3
+ import { ExtensionObject } from "node-opcua-extension-object";
4
+ import { DTStructure } from "./dt_structure";
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |ActionTargetDataType |
11
+ * | isAbstract|false |
12
+ */
13
+ export interface DTActionTarget extends DTStructure {
14
+ actionTargetId: UInt16;
15
+ name: UAString;
16
+ description: LocalizedText;
17
+ }
18
+ export interface UDTActionTarget extends ExtensionObject, DTActionTarget {
19
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_action_target.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_action_target.js","sourceRoot":"","sources":["../source/dt_action_target.ts"],"names":[],"mappings":";;AAkB2E,CAAC"}
@@ -0,0 +1,21 @@
1
+ import { NodeId } from "node-opcua-nodeid";
2
+ import { UAString } from "node-opcua-basic-types";
3
+ import { ExtensionObject } from "node-opcua-extension-object";
4
+ import { DTStructure } from "./dt_structure";
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |DtlsPubSubConnectionDataType |
11
+ * | isAbstract|false |
12
+ */
13
+ export interface DTDtlsPubSubConnection extends DTStructure {
14
+ clientCipherSuite: UAString;
15
+ serverCipherSuites: UAString[];
16
+ zeroRTT: boolean;
17
+ certificateGroupId: NodeId;
18
+ verifyClientCertificate: boolean;
19
+ }
20
+ export interface UDTDtlsPubSubConnection extends ExtensionObject, DTDtlsPubSubConnection {
21
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_dtls_pub_sub_connection.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_dtls_pub_sub_connection.js","sourceRoot":"","sources":["../source/dt_dtls_pub_sub_connection.ts"],"names":[],"mappings":";;AAoB2F,CAAC"}
@@ -0,0 +1,20 @@
1
+ import { UInt32, UAString } from "node-opcua-basic-types";
2
+ import { ExtensionObject } from "node-opcua-extension-object";
3
+ import { DTStructure } from "./dt_structure";
4
+ import { EnumManAddrIfSubtype } from "./enum_man_addr_if_subtype";
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |LldpManagementAddressType |
11
+ * | isAbstract|false |
12
+ */
13
+ export interface DTLldpManagementAddress extends DTStructure {
14
+ addressSubtype: UInt32;
15
+ address: UAString;
16
+ ifSubtype: EnumManAddrIfSubtype;
17
+ ifId: UInt32;
18
+ }
19
+ export interface UDTLldpManagementAddress extends ExtensionObject, DTLldpManagementAddress {
20
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_lldp_management_address.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_lldp_management_address.js","sourceRoot":"","sources":["../source/dt_lldp_management_address.ts"],"names":[],"mappings":";;AAmB6F,CAAC"}
@@ -0,0 +1,22 @@
1
+ import { UInt32, UAString } from "node-opcua-basic-types";
2
+ import { ExtensionObject } from "node-opcua-extension-object";
3
+ import { DTStructure } from "./dt_structure";
4
+ import { EnumManAddrIfSubtype } from "./enum_man_addr_if_subtype";
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |LldpManagementAddressTxPortType |
11
+ * | isAbstract|false |
12
+ */
13
+ export interface DTLldpManagementAddressTxPort extends DTStructure {
14
+ addressSubtype: UInt32;
15
+ manAddress: UAString;
16
+ txEnable: boolean;
17
+ addrLen: UInt32;
18
+ ifSubtype: EnumManAddrIfSubtype;
19
+ ifId: UInt32;
20
+ }
21
+ export interface UDTLldpManagementAddressTxPort extends ExtensionObject, DTLldpManagementAddressTxPort {
22
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_lldp_management_address_tx_port.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_lldp_management_address_tx_port.js","sourceRoot":"","sources":["../source/dt_lldp_management_address_tx_port.ts"],"names":[],"mappings":";;AAqByG,CAAC"}
@@ -0,0 +1,17 @@
1
+ import { UInt32 } from "node-opcua-basic-types";
2
+ import { ExtensionObject } from "node-opcua-extension-object";
3
+ import { DTStructure } from "./dt_structure";
4
+ /**
5
+ * | | |
6
+ * |-----------|------------------------------------------------------------|
7
+ * | namespace |http://opcfoundation.org/UA/ |
8
+ * | nodeClass |DataType |
9
+ * | name |LldpTlvType |
10
+ * | isAbstract|false |
11
+ */
12
+ export interface DTLldpTlv extends DTStructure {
13
+ tlvType: UInt32;
14
+ tlvInfo: Buffer;
15
+ }
16
+ export interface UDTLldpTlv extends ExtensionObject, DTLldpTlv {
17
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_lldp_tlv.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_lldp_tlv.js","sourceRoot":"","sources":["../source/dt_lldp_tlv.ts"],"names":[],"mappings":";;AAgBiE,CAAC"}
@@ -0,0 +1,18 @@
1
+ import { ExtensionObject } from "node-opcua-extension-object";
2
+ import { DTPublishedDataSetSource } from "./dt_published_data_set_source";
3
+ import { DTDataSetMeta } from "./dt_data_set_meta";
4
+ import { DTActionTarget } from "./dt_action_target";
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |PublishedActionDataType |
11
+ * | isAbstract|false |
12
+ */
13
+ export interface DTPublishedAction extends DTPublishedDataSetSource {
14
+ requestDataSetMetaData: DTDataSetMeta;
15
+ actionTargets: DTActionTarget[];
16
+ }
17
+ export interface UDTPublishedAction extends ExtensionObject, DTPublishedAction {
18
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_published_action.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_published_action.js","sourceRoot":"","sources":["../source/dt_published_action.ts"],"names":[],"mappings":";;AAiBiF,CAAC"}
@@ -0,0 +1,20 @@
1
+ import { ExtensionObject } from "node-opcua-extension-object";
2
+ import { DTPublishedAction } from "./dt_published_action";
3
+ import { DTDataSetMeta } from "./dt_data_set_meta";
4
+ import { DTActionTarget } from "./dt_action_target";
5
+ import { DTActionMethod } from "./dt_action_method";
6
+ /**
7
+ * | | |
8
+ * |-----------|------------------------------------------------------------|
9
+ * | namespace |http://opcfoundation.org/UA/ |
10
+ * | nodeClass |DataType |
11
+ * | name |PublishedActionMethodDataType |
12
+ * | isAbstract|false |
13
+ */
14
+ export interface DTPublishedActionMethod extends DTPublishedAction {
15
+ requestDataSetMetaData: DTDataSetMeta;
16
+ actionTargets: DTActionTarget[];
17
+ actionMethods: DTActionMethod[];
18
+ }
19
+ export interface UDTPublishedActionMethod extends ExtensionObject, DTPublishedActionMethod {
20
+ }
@@ -0,0 +1,4 @@
1
+ "use strict";
2
+ Object.defineProperty(exports, "__esModule", { value: true });
3
+ ;
4
+ //# sourceMappingURL=dt_published_action_method.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"dt_published_action_method.js","sourceRoot":"","sources":["../source/dt_published_action_method.ts"],"names":[],"mappings":";;AAmB6F,CAAC"}
@@ -41,7 +41,7 @@ export interface DTSubscriptionDiagnostics extends DTStructure {
41
41
  disabledMonitoredItemCount: UInt32;
42
42
  monitoringQueueOverflowCount: UInt32;
43
43
  nextSequenceNumber: UInt32;
44
- eventQueueOverFlowCount: UInt32;
44
+ eventQueueOverflowCount: UInt32;
45
45
  }
46
46
  export interface UDTSubscriptionDiagnostics extends ExtensionObject, DTSubscriptionDiagnostics {
47
47
  }
@@ -0,0 +1,13 @@
1
+ /**
2
+ * | | |
3
+ * |-----------|------------------------------------------------------------|
4
+ * | namespace |http://opcfoundation.org/UA/ |
5
+ * | nodeClass |DataType |
6
+ * | name |ActionState |
7
+ * | isAbstract|false |
8
+ */
9
+ export declare enum EnumActionState {
10
+ Idle = 0,
11
+ Executing = 1,
12
+ Done = 2
13
+ }
@@ -0,0 +1,19 @@
1
+ "use strict";
2
+ // ----- this file has been automatically generated - do not edit
3
+ Object.defineProperty(exports, "__esModule", { value: true });
4
+ exports.EnumActionState = void 0;
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |ActionState |
11
+ * | isAbstract|false |
12
+ */
13
+ var EnumActionState;
14
+ (function (EnumActionState) {
15
+ EnumActionState[EnumActionState["Idle"] = 0] = "Idle";
16
+ EnumActionState[EnumActionState["Executing"] = 1] = "Executing";
17
+ EnumActionState[EnumActionState["Done"] = 2] = "Done";
18
+ })(EnumActionState || (exports.EnumActionState = EnumActionState = {}));
19
+ //# sourceMappingURL=enum_action_state.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"enum_action_state.js","sourceRoot":"","sources":["../source/enum_action_state.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,eAIX;AAJD,WAAY,eAAe;IACzB,qDAAQ,CAAA;IACR,+DAAa,CAAA;IACb,qDAAQ,CAAA;AACV,CAAC,EAJW,eAAe,+BAAf,eAAe,QAI1B"}
@@ -0,0 +1,60 @@
1
+ /**
2
+ * | | |
3
+ * |-----------|------------------------------------------------------------|
4
+ * | namespace |http://opcfoundation.org/UA/ |
5
+ * | nodeClass |DataType |
6
+ * | name |ChassisIdSubtype |
7
+ * | isAbstract|false |
8
+ */
9
+ export declare enum EnumChassisIdSubtype {
10
+ /**
11
+ * Represents a chassis identifier based on the
12
+ * value of entPhysicalAlias object (defined in IETF
13
+ * RFC 2737) for a chassis component (i.e., an
14
+ * entPhysicalClass value of chassis(3))
15
+ */
16
+ ChassisComponent = 1,
17
+ /**
18
+ * Represents a chassis identifier based on the
19
+ * value of ifAlias object (defined in IETF RFC
20
+ * 2863) for an interface on the containing chassis.
21
+ */
22
+ InterfaceAlias = 2,
23
+ /**
24
+ * Represents a chassis identifier based on the
25
+ * value of entPhysicalAlias object (defined in IETF
26
+ * RFC 2737) for a port or backplane component
27
+ * (i.e., entPhysicalClass has a value of port(10),
28
+ * or backplane(4)), within the containing chassis.
29
+ */
30
+ PortComponent = 3,
31
+ /**
32
+ * Represents a chassis identifier based on the
33
+ * value of a unicast source address (encoded in
34
+ * network byte order and IEEE 802.3 canonical bit
35
+ * order) of a port on the containing chassis as
36
+ * defined in IEEE Std 802-2014.
37
+ */
38
+ MacAddress = 4,
39
+ /**
40
+ * Represents a chassis identifier based on a
41
+ * network address associated with a particular
42
+ * chassis. The encoded address is actually composed
43
+ * of two fields. The first field is a single octet,
44
+ * representing the IANA AddressFamilyNumbers value
45
+ * for the specific address type, and the second
46
+ * field is the network address value.
47
+ */
48
+ NetworkAddress = 5,
49
+ /**
50
+ * Represents a chassis identifier based on the
51
+ * value of ifName object (defined in IETF RFC 2863)
52
+ * for an interface on the containing chassis.
53
+ */
54
+ InterfaceName = 6,
55
+ /**
56
+ * Represents a chassis identifier based on a
57
+ * locally defined value.
58
+ */
59
+ Local = 7
60
+ }
@@ -0,0 +1,66 @@
1
+ "use strict";
2
+ // ----- this file has been automatically generated - do not edit
3
+ Object.defineProperty(exports, "__esModule", { value: true });
4
+ exports.EnumChassisIdSubtype = void 0;
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |ChassisIdSubtype |
11
+ * | isAbstract|false |
12
+ */
13
+ var EnumChassisIdSubtype;
14
+ (function (EnumChassisIdSubtype) {
15
+ /**
16
+ * Represents a chassis identifier based on the
17
+ * value of entPhysicalAlias object (defined in IETF
18
+ * RFC 2737) for a chassis component (i.e., an
19
+ * entPhysicalClass value of chassis(3))
20
+ */
21
+ EnumChassisIdSubtype[EnumChassisIdSubtype["ChassisComponent"] = 1] = "ChassisComponent";
22
+ /**
23
+ * Represents a chassis identifier based on the
24
+ * value of ifAlias object (defined in IETF RFC
25
+ * 2863) for an interface on the containing chassis.
26
+ */
27
+ EnumChassisIdSubtype[EnumChassisIdSubtype["InterfaceAlias"] = 2] = "InterfaceAlias";
28
+ /**
29
+ * Represents a chassis identifier based on the
30
+ * value of entPhysicalAlias object (defined in IETF
31
+ * RFC 2737) for a port or backplane component
32
+ * (i.e., entPhysicalClass has a value of port(10),
33
+ * or backplane(4)), within the containing chassis.
34
+ */
35
+ EnumChassisIdSubtype[EnumChassisIdSubtype["PortComponent"] = 3] = "PortComponent";
36
+ /**
37
+ * Represents a chassis identifier based on the
38
+ * value of a unicast source address (encoded in
39
+ * network byte order and IEEE 802.3 canonical bit
40
+ * order) of a port on the containing chassis as
41
+ * defined in IEEE Std 802-2014.
42
+ */
43
+ EnumChassisIdSubtype[EnumChassisIdSubtype["MacAddress"] = 4] = "MacAddress";
44
+ /**
45
+ * Represents a chassis identifier based on a
46
+ * network address associated with a particular
47
+ * chassis. The encoded address is actually composed
48
+ * of two fields. The first field is a single octet,
49
+ * representing the IANA AddressFamilyNumbers value
50
+ * for the specific address type, and the second
51
+ * field is the network address value.
52
+ */
53
+ EnumChassisIdSubtype[EnumChassisIdSubtype["NetworkAddress"] = 5] = "NetworkAddress";
54
+ /**
55
+ * Represents a chassis identifier based on the
56
+ * value of ifName object (defined in IETF RFC 2863)
57
+ * for an interface on the containing chassis.
58
+ */
59
+ EnumChassisIdSubtype[EnumChassisIdSubtype["InterfaceName"] = 6] = "InterfaceName";
60
+ /**
61
+ * Represents a chassis identifier based on a
62
+ * locally defined value.
63
+ */
64
+ EnumChassisIdSubtype[EnumChassisIdSubtype["Local"] = 7] = "Local";
65
+ })(EnumChassisIdSubtype || (exports.EnumChassisIdSubtype = EnumChassisIdSubtype = {}));
66
+ //# sourceMappingURL=enum_chassis_id_subtype.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"enum_chassis_id_subtype.js","sourceRoot":"","sources":["../source/enum_chassis_id_subtype.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,oBAmDX;AAnDD,WAAY,oBAAoB;IAC9B;;;;;OAKG;IACH,uFAAoB,CAAA;IACpB;;;;OAIG;IACH,mFAAkB,CAAA;IAClB;;;;;;OAMG;IACH,iFAAiB,CAAA;IACjB;;;;;;OAMG;IACH,2EAAc,CAAA;IACd;;;;;;;;OAQG;IACH,mFAAkB,CAAA;IAClB;;;;OAIG;IACH,iFAAiB,CAAA;IACjB;;;OAGG;IACH,iEAAS,CAAA;AACX,CAAC,EAnDW,oBAAoB,oCAApB,oBAAoB,QAmD/B"}
@@ -45,5 +45,11 @@ export declare enum EnumIdentityCriteria {
45
45
  * The rule specifies the X509 subject name of a
46
46
  * user or CA Certificate.
47
47
  */
48
- X509Subject = 8
48
+ X509Subject = 8,
49
+ /**
50
+ * The rule specifies any trusted application that
51
+ * has been authenticated with a trusted
52
+ * ApplicationInstance Certificate.
53
+ */
54
+ TrustedApplication = 9
49
55
  }
@@ -51,5 +51,11 @@ var EnumIdentityCriteria;
51
51
  * user or CA Certificate.
52
52
  */
53
53
  EnumIdentityCriteria[EnumIdentityCriteria["X509Subject"] = 8] = "X509Subject";
54
+ /**
55
+ * The rule specifies any trusted application that
56
+ * has been authenticated with a trusted
57
+ * ApplicationInstance Certificate.
58
+ */
59
+ EnumIdentityCriteria[EnumIdentityCriteria["TrustedApplication"] = 9] = "TrustedApplication";
54
60
  })(EnumIdentityCriteria || (exports.EnumIdentityCriteria = EnumIdentityCriteria = {}));
55
61
  //# sourceMappingURL=enum_identity_criteria.js.map
@@ -1 +1 @@
1
- {"version":3,"file":"enum_identity_criteria.js","sourceRoot":"","sources":["../source/enum_identity_criteria.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,oBAwCX;AAxCD,WAAY,oBAAoB;IAC9B;;;OAGG;IACH,uEAAY,CAAA;IACZ;;;OAGG;IACH,2EAAc,CAAA;IACd;;OAEG;IACH,+DAAQ,CAAA;IACR;;;OAGG;IACH,qEAAW,CAAA;IACX;;OAEG;IACH,yEAAa,CAAA;IACb;;;OAGG;IACH,yFAAqB,CAAA;IACrB;;;;OAIG;IACH,6EAAe,CAAA;IACf;;;OAGG;IACH,6EAAe,CAAA;AACjB,CAAC,EAxCW,oBAAoB,oCAApB,oBAAoB,QAwC/B"}
1
+ {"version":3,"file":"enum_identity_criteria.js","sourceRoot":"","sources":["../source/enum_identity_criteria.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,oBA8CX;AA9CD,WAAY,oBAAoB;IAC9B;;;OAGG;IACH,uEAAY,CAAA;IACZ;;;OAGG;IACH,2EAAc,CAAA;IACd;;OAEG;IACH,+DAAQ,CAAA;IACR;;;OAGG;IACH,qEAAW,CAAA;IACX;;OAEG;IACH,yEAAa,CAAA;IACb;;;OAGG;IACH,yFAAqB,CAAA;IACrB;;;;OAIG;IACH,6EAAe,CAAA;IACf;;;OAGG;IACH,6EAAe,CAAA;IACf;;;;OAIG;IACH,2FAAsB,CAAA;AACxB,CAAC,EA9CW,oBAAoB,oCAApB,oBAAoB,QA8C/B"}
@@ -0,0 +1,26 @@
1
+ /**
2
+ * | | |
3
+ * |-----------|------------------------------------------------------------|
4
+ * | namespace |http://opcfoundation.org/UA/ |
5
+ * | nodeClass |DataType |
6
+ * | name |ManAddrIfSubtype |
7
+ * | isAbstract|false |
8
+ */
9
+ export declare enum EnumManAddrIfSubtype {
10
+ /**
11
+ * Optional variable is not set.
12
+ */
13
+ None = 0,
14
+ /**
15
+ * Interface is not known.
16
+ */
17
+ Unknown = 1,
18
+ /**
19
+ * Interface based on the port-ref MIB object.
20
+ */
21
+ PortRef = 2,
22
+ /**
23
+ * Interface based on the system port number.
24
+ */
25
+ SystemPortNumber = 3
26
+ }
@@ -0,0 +1,32 @@
1
+ "use strict";
2
+ // ----- this file has been automatically generated - do not edit
3
+ Object.defineProperty(exports, "__esModule", { value: true });
4
+ exports.EnumManAddrIfSubtype = void 0;
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |ManAddrIfSubtype |
11
+ * | isAbstract|false |
12
+ */
13
+ var EnumManAddrIfSubtype;
14
+ (function (EnumManAddrIfSubtype) {
15
+ /**
16
+ * Optional variable is not set.
17
+ */
18
+ EnumManAddrIfSubtype[EnumManAddrIfSubtype["None"] = 0] = "None";
19
+ /**
20
+ * Interface is not known.
21
+ */
22
+ EnumManAddrIfSubtype[EnumManAddrIfSubtype["Unknown"] = 1] = "Unknown";
23
+ /**
24
+ * Interface based on the port-ref MIB object.
25
+ */
26
+ EnumManAddrIfSubtype[EnumManAddrIfSubtype["PortRef"] = 2] = "PortRef";
27
+ /**
28
+ * Interface based on the system port number.
29
+ */
30
+ EnumManAddrIfSubtype[EnumManAddrIfSubtype["SystemPortNumber"] = 3] = "SystemPortNumber";
31
+ })(EnumManAddrIfSubtype || (exports.EnumManAddrIfSubtype = EnumManAddrIfSubtype = {}));
32
+ //# sourceMappingURL=enum_man_addr_if_subtype.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"enum_man_addr_if_subtype.js","sourceRoot":"","sources":["../source/enum_man_addr_if_subtype.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,oBAiBX;AAjBD,WAAY,oBAAoB;IAC9B;;OAEG;IACH,+DAAQ,CAAA;IACR;;OAEG;IACH,qEAAW,CAAA;IACX;;OAEG;IACH,qEAAW,CAAA;IACX;;OAEG;IACH,uFAAoB,CAAA;AACtB,CAAC,EAjBW,oBAAoB,oCAApB,oBAAoB,QAiB/B"}
@@ -0,0 +1,54 @@
1
+ /**
2
+ * | | |
3
+ * |-----------|------------------------------------------------------------|
4
+ * | namespace |http://opcfoundation.org/UA/ |
5
+ * | nodeClass |DataType |
6
+ * | name |PortIdSubtype |
7
+ * | isAbstract|false |
8
+ */
9
+ export declare enum EnumPortIdSubtype {
10
+ /**
11
+ * Represents a port identifier based on the ifAlias
12
+ * MIB object defined in IETF RFC 2863.
13
+ */
14
+ InterfaceAlias = 1,
15
+ /**
16
+ * Represents a port identifier based on the value
17
+ * of entPhysicalAlias (defined in IETF RFC 2737)
18
+ * for a port component (i.e., entPhysicalClass
19
+ * value of port(10) or backplane(4)), within the
20
+ * containing chassis.
21
+ */
22
+ PortComponent = 2,
23
+ /**
24
+ * Represents a port identifier based on a unicast
25
+ * source address (encoded in network byte order and
26
+ * IEEE 802.3 canonical bit order) which has been
27
+ * detected by the agent and associated with a
28
+ * particular port (IEEE Std 802-2014).
29
+ */
30
+ MacAddress = 3,
31
+ /**
32
+ * Represents a port identifier based on a network
33
+ * address, detected by the agent and associated
34
+ * with a particular port.
35
+ */
36
+ NetworkAddress = 4,
37
+ /**
38
+ * Represents a port identifier based on the ifName
39
+ * MIB object, defined in IETF RFC 2863.
40
+ */
41
+ InterfaceName = 5,
42
+ /**
43
+ * Represents a port identifier based on the
44
+ * agent-local identifier of the circuit (defined in
45
+ * IETF RFC 3046), detected by the agent and
46
+ * associated with a particular port.
47
+ */
48
+ AgentCircuitId = 6,
49
+ /**
50
+ * Represents a port identifier based on a value
51
+ * locally assigned.
52
+ */
53
+ Local = 7
54
+ }
@@ -0,0 +1,60 @@
1
+ "use strict";
2
+ // ----- this file has been automatically generated - do not edit
3
+ Object.defineProperty(exports, "__esModule", { value: true });
4
+ exports.EnumPortIdSubtype = void 0;
5
+ /**
6
+ * | | |
7
+ * |-----------|------------------------------------------------------------|
8
+ * | namespace |http://opcfoundation.org/UA/ |
9
+ * | nodeClass |DataType |
10
+ * | name |PortIdSubtype |
11
+ * | isAbstract|false |
12
+ */
13
+ var EnumPortIdSubtype;
14
+ (function (EnumPortIdSubtype) {
15
+ /**
16
+ * Represents a port identifier based on the ifAlias
17
+ * MIB object defined in IETF RFC 2863.
18
+ */
19
+ EnumPortIdSubtype[EnumPortIdSubtype["InterfaceAlias"] = 1] = "InterfaceAlias";
20
+ /**
21
+ * Represents a port identifier based on the value
22
+ * of entPhysicalAlias (defined in IETF RFC 2737)
23
+ * for a port component (i.e., entPhysicalClass
24
+ * value of port(10) or backplane(4)), within the
25
+ * containing chassis.
26
+ */
27
+ EnumPortIdSubtype[EnumPortIdSubtype["PortComponent"] = 2] = "PortComponent";
28
+ /**
29
+ * Represents a port identifier based on a unicast
30
+ * source address (encoded in network byte order and
31
+ * IEEE 802.3 canonical bit order) which has been
32
+ * detected by the agent and associated with a
33
+ * particular port (IEEE Std 802-2014).
34
+ */
35
+ EnumPortIdSubtype[EnumPortIdSubtype["MacAddress"] = 3] = "MacAddress";
36
+ /**
37
+ * Represents a port identifier based on a network
38
+ * address, detected by the agent and associated
39
+ * with a particular port.
40
+ */
41
+ EnumPortIdSubtype[EnumPortIdSubtype["NetworkAddress"] = 4] = "NetworkAddress";
42
+ /**
43
+ * Represents a port identifier based on the ifName
44
+ * MIB object, defined in IETF RFC 2863.
45
+ */
46
+ EnumPortIdSubtype[EnumPortIdSubtype["InterfaceName"] = 5] = "InterfaceName";
47
+ /**
48
+ * Represents a port identifier based on the
49
+ * agent-local identifier of the circuit (defined in
50
+ * IETF RFC 3046), detected by the agent and
51
+ * associated with a particular port.
52
+ */
53
+ EnumPortIdSubtype[EnumPortIdSubtype["AgentCircuitId"] = 6] = "AgentCircuitId";
54
+ /**
55
+ * Represents a port identifier based on a value
56
+ * locally assigned.
57
+ */
58
+ EnumPortIdSubtype[EnumPortIdSubtype["Local"] = 7] = "Local";
59
+ })(EnumPortIdSubtype || (exports.EnumPortIdSubtype = EnumPortIdSubtype = {}));
60
+ //# sourceMappingURL=enum_port_id_subtype.js.map
@@ -0,0 +1 @@
1
+ {"version":3,"file":"enum_port_id_subtype.js","sourceRoot":"","sources":["../source/enum_port_id_subtype.ts"],"names":[],"mappings":";AAAA,iEAAiE;;;AAEjE;;;;;;;GAOG;AACH,IAAY,iBA6CX;AA7CD,WAAY,iBAAiB;IAC3B;;;OAGG;IACH,6EAAkB,CAAA;IAClB;;;;;;OAMG;IACH,2EAAiB,CAAA;IACjB;;;;;;OAMG;IACH,qEAAc,CAAA;IACd;;;;OAIG;IACH,6EAAkB,CAAA;IAClB;;;OAGG;IACH,2EAAiB,CAAA;IACjB;;;;;OAKG;IACH,6EAAkB,CAAA;IAClB;;;OAGG;IACH,2DAAS,CAAA;AACX,CAAC,EA7CW,iBAAiB,iCAAjB,iBAAiB,QA6C5B"}